Đến nội dung


Hình ảnh
- - - - -

Nhờ mọi người sửa dùm lisp này với ạ


  • Please log in to reply
1 reply to this topic

#1 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 19 April 2014 - 11:57 AM

Em cần cho thêm tính năng sau khi đưa về text width =0.9 thì tự chuyển thành font vnarial. cảm ơn các anh đã quan tâm.


;;*********Dua text ve do day 0.9 ****************

(defun c:ct2(/ ss tw)
(defun Tue-ent-mod (dxf ename newValue / entget-ename)
    (setq entget-ename (entget ename))
  (if (and (or (= dxf 62) (= dxf 6)) (null (assoc dxf entget-ename)))
          (setq entget-ename (append entget-ename (list (cons dxf newValue))))
  )
  (setq entget-ename (subst (cons dxf newValue) (assoc dxf entget-ename) entget-ename))
  (entmod entget-ename)
  ename
)
(defun Tue-ss-list (L-ss-vlaobj / n L Lst ssg vlaobj)
 
  (mapcar 'set '(ssg vlaobj) L-ss-vlaobj)
  (setq L (sslength ssg))
  (Repeat L
        (setq ename (ssname ssg (setq L (1- L))))
          (setq Lst (cons (if vlaobj (vlax-ename->vla-object ename) ename) Lst))
  )
)
(if (setq ss (ssget '((0 . "TEXT"))))
  (progn
        (foreach x (Tue-ss-list (list ss))
      (Tue-ent-mod 41 x 0.9)
    )
  )
)
)

 


  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 19 April 2014 - 02:15 PM

Bạn chú ý cách đặt tên topic, cách đặt vấn đề. Cadviet không đặt ra nội quy nhưng văn minh post bài thì ở đâu cũng vậy.

Trước đây có nhắc rồi, giờ mình không muốn nhắc nhưng mấy ngày rồi bạn post một đống bài " Nhờ mọi người giúp em lisp này .." .

Tiêu đề i xì đúc, một lisp thì post nửa này nửa kia mỗi nơi 1 bài, yêu cầu thì bản thân không rõ mình cần cái gì nên lúc thế này lúc thế khác, lúc thì lại chơi nguyên file CAD lên chờ người khác down về mới biết mình cần gì mà k lấy 1 lời diễn giải trước ..

Theo bạn, tại sao danh tiếng mọi người toàn Xanh không mà của bạn cứ đỏ choét thế kia, hay là bạn thấy đỏ đẹp hơn ?


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC